Bulletin d'alerte Debian

DSA-3244-1 owncloud -- Mise à jour de sécurité

Date du rapport :
2 mai 2015
Paquets concernés :
owncloud
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le dictionnaire CVE du Mitre : CVE-2015-3011, CVE-2015-3012, CVE-2015-3013.
Plus de précisions :

Plusieurs vulnérabilités ont été découvertes dans ownCloud, un service web de stockage dans le nuage pour fichiers, musique, contacts, calendriers et bien d'autres choses.

  • CVE-2015-3011

    Hugh Davenport a découvert que l'application contacts livrée avec ownCloud est vulnérable à de multiples attaques par script intersite stocké. Cette vulnérabilité est exploitable de manière efficace dans tous les navigateurs.

  • CVE-2015-3012

    Roy Jansen a découvert que l'application documents livrée avec ownCloud est vulnérable à de multiples attaques par script intersite stocké. Cette vulnérabilité n'est pas exploitable dans les navigateurs qui prennent en charge le Content Security Policy (CSP) standard actuel.

  • CVE-2015-3013

    Lukas Reschke a découvert une vulnérabilité de contournement de liste noire, permettant à des attaquants distants authentifiés de contourner la liste noire de fichiers et envoyer des fichiers tels que les fichiers .htaccess. Un attaquant pourrait exploiter ce contournement en envoyant un fichier .htaccess et exécuter du code PHP arbitraire si le répertoire /data/ est stocké dans le répertoire web racine et qu'un serveur web qui interprète les fichiers .htaccess est utilisé. Dans les installations de Debian par défaut, le répertoire data est en dehors du répertoire web racine et donc cette vulnérabilité n'est pas exploitable par défaut.

Pour la distribution stable (Jessie), ces problèmes ont été corrigés dans la version 7.0.4+dfsg-4~deb8u1.

Pour la distribution testing (Stretch), ces problèmes ont été corrigés dans la version 7.0.4+dfsg-3.

Pour la distribution unstable (Sid), ces problèmes ont été corrigés dans la version 7.0.4+dfsg-3.

Nous vous recommandons de mettre à jour vos paquets owncloud.